Subject: RE: port for powerpc
From: [email-masked] (Olav van Genabeek)

17 Jul 1997 19:30:57 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <Pine.SUN.3.95.970717215349.26720B-100000.cygnus.gnu-win32@segovia>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
X-Sender: olav@segovia
Original-To: Sergey Okhapkin <[email-masked]>
Original-Cc: "'Geoffrey Noer'" <[email-masked]>,
        "[email-masked]" <[email-masked]>
In-Reply-To: <01BC8D27.18EA9900@sos>
Original-Sender: [email-masked]

First of all, may thanks for your help.
I still am not able to compile the cdk.
Partly, this is because (as pointed out) the exception handling is
broken, but also  because some files seems to be missing
such  as the netapi32.def file.
Right now I am trying to hack a bit in order to get it
to work.
I will let you know.
Again, thanks a lot.

Best regards,
Olav

On Thu, 10 Jul 1997, Sergey Okhapkin wrote:

> Geoffrey Noer wrote:
> > You may be able to build yourself a powerpcle-cygwin32 native
> > toolchain by starting on a Linux box, doing a configure with
> > --target=powerpcle-cygwin32, running the make and install.
> > Then do another configure with --build=i486-linux 
> --host=powerpcle-cygwin32
> > --target=powerpcle-cygwin32 and see what happens.  If this all
> > succeeds you'd have a native powerpcle-cygwin32 toolchain.
> >
> > This was not tested for the beta 17-18 releases so this might
> > not go smoothly.
> 
> Exception/signal support in exceptions.cc is completely broken for ppc 
> version. PPC call_handler should be modified according to new 
> arguments/semantics like i386 version. There should not be other 
> incompatibilities in winsup sources.
> 
> --
> Sergey Okhapkin, http://www.lexa.ru/sos
> Moscow, Russia
> Looking for a job
> 
> 

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".